Package ghidra.app.util.bin.format.objc2

# Class ObjectiveC2_Method

java.lang.Object
ghidra.app.util.bin.format.objectiveC.ObjectiveC_Method
ghidra.app.util.bin.format.objc2.ObjectiveC2_Method

All Implemented Interfaces:
  `StructConverter`

public class ObjectiveC2_Method extends ObjectiveC_Method

- ## Field Summary

  ### Fields inherited from class ghidra.app.util.bin.format.objectiveC.ObjectiveC_Method

  `_index, _methodType, _state`

  ### Fields inherited from interface ghidra.app.util.bin.StructConverter

  `ASCII, BYTE, DWORD, IBO32, IBO64, POINTER, QWORD, SLEB128, STRING, ULEB128, UTF16, UTF8, VOID, WORD`

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `ObjectiveC2_Method(ObjectiveC2_State state, BinaryReader reader, ObjectiveC_MethodType methodType, boolean isSmallList)`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `long`
  `getImplementation()`
  `String`
  `getName()`
  `String`
  `getTypes()`
  `DataType`
  `toDataType()`
  Returns a structure datatype representing the contents of the implementor of this interface.

  ### Methods inherited from class ghidra.app.util.bin.format.objectiveC.ObjectiveC_Method

  `applyTo, getIndex, getMethodType`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Constructor Details

  - ### ObjectiveC2_Method

    public ObjectiveC2_Method(ObjectiveC2_State state, BinaryReader reader, ObjectiveC_MethodType methodType, boolean isSmallList) throws IOException
    Throws:
      `IOException`

- ## Method Details

  - ### getName

    public String getName()
    Specified by:
      `getName` in class `ObjectiveC_Method`

  - ### getTypes

    public String getTypes()
    Specified by:
      `getTypes` in class `ObjectiveC_Method`

  - ### getImplementation

    public long getImplementation()
    Specified by:
      `getImplementation` in class `ObjectiveC_Method`

  - ### toDataType

    public DataType toDataType() throws DuplicateNameException, IOException
    Description copied from interface: `StructConverter`
    Returns a structure datatype representing the contents of the implementor of this interface.

    For example, given:

         class A {
             int foo;
             double bar;
         }

    The return value should be a structure data type with two data type components; an INT and a DOUBLE. The structure should contain field names and, if possible, field comments.

    Returns:
      returns a structure datatype representing the implementor of this interface
    Throws:
      `DuplicateNameException` - when a datatype of the same name already exists
      `IOException` - if an IO-related error occurs
    See Also:
      - `StructureDataType`